// import { Component } from '@angular/core';
// import { IonHeader, IonToolbar, IonTitle, IonContent } from '@ionic/angular/standalone';
// import { ExploreContainerComponent } from '../explore-container/explore-container.component';

// @Component({
//   selector: 'app-tab1',
//   templateUrl: 'tab1.page.html',
//   styleUrls: ['tab1.page.scss'],
//   standalone: true,
//   imports: [IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent],
// })
// export class Tab1Page {
//   constructor() {}
// }

import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss'],
})
export class HomeComponent {
  isLoggedIn: boolean = false; // 假设用户未登录
  userAvatar: string = 'path_to_default_avatar.png'; // 默认头像
  unreadMessages: number = 3; // 假设有3条未读消息
  greetingMessage: string = '你的心理健康，我们为你守护'; // 默认欢迎文案
  recommendedItems: any[] = [
    { id: 1, title: '冥想放松技巧', imageUrl: 'assets/meditation.jpg' },
    { id: 2, title: '应对焦虑的五个方法', imageUrl: 'assets/anxiety.jpg' },
    { id: 3, title: '自我觉察与情绪调节', imageUrl: 'assets/self-awareness.jpg' }
  ];
  dailyTip: string = '今天你是否留意到自己的情绪变化？';

  constructor(private router: Router) {}

  // 登录/注册导航
  navigateToLogin() {
    this.router.navigate(['/login']);
  }

  // 用户个人主页导航
  navigateToProfile() {
    this.router.navigate(['/profile']);
  }

  // 消息通知页面
  navigateToNotifications() {
    this.router.navigate(['/notifications']);
  }

  // 设置页面
  navigateToSettings() {
    this.router.navigate(['/settings']);
  }

  // 开始心理测评
  startAssessment() {
    this.router.navigate(['/assessment']);
  }

  // 查看健康方案
  viewHealthPlans() {
    this.router.navigate(['/health-plans']);
  }

  // 查看心理资源
  viewResources() {
    this.router.navigate(['/resources']);
  }

  // 查看推荐的详细页面
  navigateToDetail(itemId: number) {
    this.router.navigate([`/detail/${itemId}`]);
  }

  // 查看更多心理健康小贴士
  viewMoreTips() {
    this.router.navigate(['/tips']);
  }
}
